petsc-3.7.7 2017-09-25
Report Typos and Errors

# MatGetLayouts

Gets the PetscLayout objects for rows and columns

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatGetLayouts(Mat A,PetscLayout *rmap,PetscLayout *cmap)

Not Collective

### Input Parameters

A -the matrix

### Output Parameters

| rmap | - row layout
| cmap | - column layout

### See Also

MatCreateVecs(), MatGetLocalToGlobalMapping()

Level:advanced
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages